(function() {
  "use strict";

  // Switch on logging by default.
  if (!process.env.DEBUG) {
    process.env.DEBUG = "*";
  }

  // Default output to STDOUT rather than STDERR.
  if (!process.env.DEBUG_FD) {
    process.env.DEBUG_FD = 1;
  }

    // Load the nqm input module for receiving input from the process host.
  var input = require("nqm-databot-utils").input;

  // Load the dataset import databot code.
  var databot = require("./lib/dataset-import");

  // Read input and pass to the databot instance.
  input.pipe(databot);

}());